Construction of Ubuntu ror 10.04 problem;

norvin@ubuntu:~$ ruby -v
ruby 1.8.7 (2010-01-10 patchlevel 249) [x86_64-linux]
norvin@ubuntu:~$ gem -v
1.3.5
norvin@ubuntu:~$ rails -v
Rails 2.3.5
norvin@ubuntu:~$

Above all showed normal, that is to build a good. Next create project:

norvin@ubuntu:~$ rails fire
create
create app/controllers
create app/helpers
create app/models
create app/views/layouts
create config/environments
create config/initializers
create config/locales
create db
create doc
create lib
create lib/tasks
create log
create public/images
create public/javascripts
create public/stylesheets
create script/performance
create test/fixtures
create test/functional
create test/integration
create test/performance
create test/unit
create vendor
create vendor/plugins
create tmp/sessions
create tmp/sockets
create tmp/cache
create tmp/pids
create Rakefile
create README
create app/controllers/application_controller.rb
create app/helpers/application_helper.rb
create config/database.yml
create config/routes.rb
create config/locales/en.yml
create db/seeds.rb
create config/initializers/backtrace_silencers.rb
create config/initializers/inflections.rb
create config/initializers/mime_types.rb
create config/initializers/new_rails_defaults.rb
create config/initializers/session_store.rb
create config/environment.rb
create config/boot.rb
create config/environments/production.rb
create config/environments/development.rb
create config/environments/test.rb
create script/about
create script/console
create script/dbconsole
create script/destroy
create script/generate
create script/runner
create script/server
create script/plugin
create script/performance/benchmarker
create script/performance/profiler
create test/test_helper.rb
create test/performance/browsing_test.rb
create public/404.html
create public/422.html
create public/500.html
create public/index.html
create public/favicon.ico
create public/robots.txt
create public/images/rails.png
create public/javascripts/prototype.js
create public/javascripts/effects.js
create public/javascripts/dragdrop.js
create public/javascripts/controls.js
create public/javascripts/application.js
create doc/README_FOR_APP
create log/server.log
create log/production.log
create log/development.log
create log/test.log

norvin@ubuntu:~$ cd fire

norvin@ubuntu:~/fire$ ruby script/server -p 5000
=> Booting Mongrel
=> Rails 2.3.5 application starting on
/var/lib/gems/1.8/gems/rails-2.3.5/lib/initializer.rb:271:in `require_frameworks': no such file to load -- net/https (RuntimeError)
from /var/lib/gems/1.8/gems/rails-2.3.5/lib/initializer.rb:134:in `process'
from /var/lib/gems/1.8/gems/rails-2.3.5/lib/initializer.rb:113:in `send'
from /var/lib/gems/1.8/gems/rails-2.3.5/lib/initializer.rb:113:in `run'
from /home/norvin/fire/config/environment.rb:9
from /usr/lib/ruby/1.8/rubygems/custom_require.rb:31:in `gem_original_require'
from /usr/lib/ruby/1.8/rubygems/custom_require.rb:31:in `require'
from /var/lib/gems/1.8/gems/activesupport-2.3.5/lib/active_support/dependencies.rb:156:in `require'
from /var/lib/gems/1.8/gems/activesupport-2.3.5/lib/active_support/dependencies.rb:521:in `new_constants_in'
from /var/lib/gems/1.8/gems/activesupport-2.3.5/lib/active_support/dependencies.rb:156:in `require'
from /var/lib/gems/1.8/gems/rails-2.3.5/lib/commands/server.rb:84
from /usr/lib/ruby/1.8/rubygems/custom_require.rb:31:in `gem_original_require'
from /usr/lib/ruby/1.8/rubygems/custom_require.rb:31:in `require'
from script/server:3

Why not open the page? ?
The first time I see online, said ruby script/server -b 0.0.0.0, with this matter?
Seek expert adviceļ¼

Started by Angela at November 13, 2016 - 8:41 AM

When installing the ruby no OpenSSL support

apt-get install openssl libssl-dev

And then to the ruby installation directory
1. cd rubySourceRoot/ext/openssl
2. ruby extconf.rb
3. make
4. sudo make install

Posted by Arlen at November 22, 2016 - 8:49 AM

no such file to load -- net/https

Red font basically tell you need to install the gem

Posted by Carter at December 05, 2016 - 9:18 AM